LibreOffice: TemplateAccess Service Reference

LibreOffice LibreOffice 6.1 SDK API Reference

Exported Interfaces | List of all members
TemplateAccess Service Referencepublished

provides a high level API to organize document templates More...

`import"TemplateAccess.idl";`

Inheritance diagram for TemplateAccess:

## Exported Interfaces
interface | XDocumentTemplates
| used to organize document templates More...
interface | com::sun::star::lang::XLocalizable
| provides selection of sets of localized templates More...

## Additional Inherited Members
Public Member Functions inherited from XDocumentTemplates
com::sun::star::ucb::XContent | getContent ()
| provides access to the root of internal used hierarchy More...
boolean | storeTemplate ([in] string GroupName, [in] string TemplateName, [in] XStorable Storable)
| creates the template with the given name in the given group using the data from the storable More...
boolean | addTemplate ([in] string GroupName, [in] string TemplateName, [in] string SourceURL)
| creates the template with the given name in the given group using the given URL More...
boolean | removeTemplate ([in] string GroupName, [in] string TemplateName)
| remove a template from specified group More...
boolean | renameTemplate ([in] string GroupName, [in] string OldTemplateName, [in] string NewTemplateName)
| rename a template inside specified group More...
boolean | addGroup ([in] string GroupName)
| creates a new group More...
boolean | removeGroup ([in] string GroupName)
| remove an existing group More...
boolean | renameGroup ([in] string OldGroupName, [in] string NewGroupName)
| rename an existing group More...
void | update ()
| force an update for internal structures More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XLocalizable
void | setLocale ([in] Locale eLocale)
| sets the locale to be used by this object. More...
Locale | getLocale ()

## Detailed Description

provides a high level API to organize document templates

## Exported Interfaces

## ◆ com::sun::star::lang::XLocalizable

interface com::sun::star::lang::XLocalizable

provides selection of sets of localized templates

## ◆ XDocumentTemplates

interface XDocumentTemplates

used to organize document templates

The documentation for this service was generated from the following file:

- com/sun/star/frame/TemplateAccess.idl